```markdown ## When to Use AI Right, let’s talk about AI. It’s the buzzword of the moment, isn’t it? Everywhere you look, someone’s asking, “Can AI do this?” or, more often, “Why can’t AI do this?” Honestly, it’s a question that comes up for me a *lot* recently, and it’s a really important one. I wanted to lay out a couple of scenarios where AI is absolutely not your friend, and where it might actually be a genuine time-saver. I was recently wrestling with a spreadsheet. *Shudders*. Let’s just say it involved a dataset of a few thousand work orders, their types, and how long they took in days. It was… a process. You know, the kind of thing that makes you want to throw your laptop out the window and have a nice, long cuppa. But the core of the problem was this: I was given a list of work types that could be grouped into *one* of two categories exclusively. Think of it like trying to herd cats, but with spreadsheets. The mapping process required me to manually read each work type and map it to a work request. It was… tedious. Let’s be honest, it felt like I was spending more time arguing with the spreadsheet than actually solving anything. And that’s when it hit me. This was a perfect task for generative AI. Interpreting disparate pieces of text and finding those most closely related? That’s what LLMs are *built* for. Seriously, there’s no amount of regex or string manipulation that can do this as well as a large language model. It’s like trying to build a skyscraper with Lego bricks – technically possible, but wildly inefficient. Now, before you start picturing me as some kind of AI-hater, let me clarify. Building the workload drivers and formulas that automated the calculation? Absolutely not a task for an LLM. This requires precision and accuracy, and frankly, it’s best served by "traditional" programming methods. Whilst setting up those formulas might be a bit of a manual process initially, it works on maths and logic that’s solid. There’s no chance for the LLM to go rogue and start spitting out nonsense. Think of it this way: you wouldn’t ask a bricklayer to design a building, would you? They’re good at laying bricks, not architectural design. Similarly, LLMs are fantastic at understanding and generating text, but they don’t inherently understand the nuances of data analysis or complex calculations. And, let’s be clear, the LLM *could* help choose the numbers, constants, and maybe even suggest some initial formulas. But I would *never* trust it to actually run the calculation. Its nature is to be a bit… creative. And that’s where I believe traditional programming and analysis are still required. It’s about control, about knowing exactly what’s happening under the hood. Will this always be the case? Unlikely. The technology is evolving at a frankly alarming rate. But right now, when I’m not using the areas of my brain that require a fuzzy matching or fuzzy logic in general, LLM’s just don’t seem to be suited. They’re brilliant at pattern recognition, but they lack the fundamental understanding of *why* those patterns exist. **So, here’s the takeaway:** * **LLMs are great for:** Tasks involving understanding and generating text, finding connections between disparate pieces of information, and tasks that benefit from a degree of ambiguity. * **Traditional programming is still king for:** Tasks requiring precision, accuracy, and a deep understanding of underlying logic and mathematical principles. It’s about choosing the right tool for the job, right? Don't try to force-fit an LLM into a situation where it simply won’t cut it. You’ll end up with a confused AI, a frustrated you, and a whole lot of wasted time. And nobody wants that, do they? --- **Note to Editor:** This is a draft. I've aimed for a conversational, slightly humorous tone. Feel free to adjust the level of formality and add more specific examples if needed. Also, consider adding a call to action – perhaps asking readers to share their experiences with using AI. ```